Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.log
Class JavaUtilLog

    java.lang.Object
      org.eclipse.jetty.util.log.JavaUtilLog

All Implemented Interfaces:
  Logger

    public class JavaUtilLog

extends java.lang.Object
implements Logger

Implementation of Jetty `Logger` based on `Logger`.

Honors the standard jetty system property `"org.eclipse.jetty.util.log.DEBUG"` to set logger into debug mode (defaults to false, set to "true" to enable)

You can also set the logger level using standard java.util.logging configuration against the name `"org.eclipse.jetty.util.log"`.

Constructor Summary
`JavaUtilLog()`
`JavaUtilLog(java.lang.String name)`

Method Summary
`void` | `debug(java.lang.String msg, java.lang.Object... args)` Formats and logs at debug level.
`void` | `debug(java.lang.String msg, java.lang.Throwable thrown)` Logs the given message at debug level, with Throwable information.
`void` | `debug(java.lang.Throwable thrown)` Logs the given Throwable information at debug level
`Logger` | `getLogger(java.lang.String name)`
`java.lang.String` | `getName()`
`void` | `ignore(java.lang.Throwable ignored)` Ignore an exception.
`void` | `info(java.lang.String msg, java.lang.Object... args)` Formats and logs at info level.
`void` | `info(java.lang.String msg, java.lang.Throwable thrown)` Logs the given message at info level, with Throwable information.
`void` | `info(java.lang.Throwable thrown)` Logs the given Throwable information at info level
`boolean` | `isDebugEnabled()`
`void` | `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programmatically.
`void` | `warn(java.lang.String msg, java.lang.Object... args)` Formats and logs at warn level.
`void` | `warn(java.lang.String msg, java.lang.Throwable thrown)` Logs the given message at warn level, with Throwable information.
`void` | `warn(java.lang.Throwable thrown)` Logs the given Throwable information at warn level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaUtilLog

    public JavaUtilLog()

### JavaUtilLog

    public JavaUtilLog(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Logger`
  Returns:
    the name of this logger

### warn

    public void warn(java.lang.String msg,
                     java.lang.Object... args)

  Description copied from interface: `Logger`
  Formats and logs at warn level.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### warn

    public void warn(java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at warn level

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at warn level, with Throwable information.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### info

    public void info(java.lang.String msg,
                     java.lang.Object... args)

  Description copied from interface: `Logger`
  Formats and logs at info level.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### info

    public void info(java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at info level

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at info level, with Throwable information.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:
    whether the debug level is enabled

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Description copied from interface: `Logger`
  Mutator used to turn debug on programmatically.

  Specified by:
    `setDebugEnabled` in interface `Logger`
  Parameters:
    `enabled` - whether to enable the debug level

### debug

    public void debug(java.lang.String msg,
                      java.lang.Object... args)

  Description copied from interface: `Logger`
  Formats and logs at debug level.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### debug

    public void debug(java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at debug level

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at debug level, with Throwable information.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### getLogger

    public Logger getLogger(java.lang.String name)

  Specified by:
    `getLogger` in interface `Logger`
  Parameters:
    `name` - the name of the logger
  Returns:
    a logger with the given name

### ignore

    public void ignore(java.lang.Throwable ignored)

  Description copied from interface: `Logger`
  Ignore an exception.

  This should be used rather than an empty catch block.

  Specified by:
    `ignore` in interface `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.